Bug 1191535 - Gradle 2.x
Summary: Gradle 2.x
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 13:22 UTC by Jaroslav Reznik
Modified: 2017-06-30 13:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== Gradle 2.2 == Fedora 22 brings Gradle 2, the popular build automation tool written in Java. Gradle can automate building, testing, publishing, deployment and more of software packages or other types of projects such as generated static websites, generated documentation or indeed anything else. This change also implements integration with software used for Java packaging in Fedora (XMvn and Javapackages), which makes it possible to use standard Fedora pagkaging techniques to build RPM packages with Gradle with all features, such as automatic artifact installation or auto-requires/provides. For more information about the project, see the documentation at the official Gradle website. (http://gradle.org/docs/)
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:42 UTC
Type: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-11 13:22:38 UTC
This is a tracking bug for Change: Gradle 2.x
For more details, see: https://fedoraproject.org//wiki/Changes/Gradle

This change aims at making latest version of Gradle available in
Fedora and making it possible to easily build Fedora packages using
Gradle.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:53 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Jaroslav Reznik 2015-03-24 11:41:53 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 3 Petr Bokoc 2015-04-14 11:05:44 UTC
Hi Mikolaj, we'd like to include this change in Fedora 22 Beta Release Notes.

Please take a look at the text I added to the Doc Text field, and let me know if it's okay, or if there's anything you'd like to add or change. I based the draft on the Wiki change page, so there's nothing really new there - but I don't know how up to date the page was, so I'd like you to take a look at it.

Thanks!

Comment 4 Mikolaj Izdebski 2015-04-14 11:09:25 UTC
Release notes text looks good. Thanks.

Comment 5 Daniel Scott 2017-06-30 13:19:46 UTC
Are there any plans to upgrade to a newer version of Gradle?


Note You need to log in before you can comment on or make changes to this bug.